package fr.irisa.cairn.jnimap.isl;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

import fr.irisa.cairn.jnimap.runtime.JNIObject;


/*** PROTECTED REGION ID(ISLScheduleLeafNode_userImport) ENABLED START ***/
	/*
		Put you custom import here ....
	*/
/*** PROTECTED REGION END ***/

/**
 *  Automatically generated by jnimap 
 * @generated
 */
public class ISLScheduleLeafNode extends ISLScheduleNode  {
	
	/* @generated */
	protected ISLScheduleLeafNode(long ptr) {
		/*** PROTECTED REGION ID(ISLScheduleLeafNode_Constructor) DISABLED START ***/
		super(ptr);
		/*** PROTECTED REGION END ***/
	}
	
	/* @generated */
	protected static ISLScheduleLeafNode build(long ptr) {
		return new ISLScheduleLeafNode(ptr);
	}
	
	/*** PROTECTED REGION ID(ISLScheduleLeafNode_userCode) ENABLED START ***/
	/*** PROTECTED REGION END ***/

	
	/*************************************** 
	 *	         Static Methods            * 
	 ***************************************/
	
	/*************************************** 
	 *	         Member Methods            * 
	 ***************************************/
	
	public void accept(IISLScheduleNodeVisitor visitor) {
		visitor.visitISLScheduleLeafNode(this);
	}
	
	public String toString() {
		/*** PROTECTED REGION ID(ISLScheduleLeafNode_toString) DISABLED START ***/
			return ISLPrettyPrinter.asString(this);
		/*** PROTECTED REGION END ***/
	}
}
